
%define name	vaapi-driver-vdpau
%define oname	vdpau-video
%define version	0.6.10
%define rel	3

Summary:	VA-API driver for VDPAU interface
Name:		%{name}
Version:	%{version}
Release:	%mkrel %rel
Group:		Video
License:	GPLv2+
URL:		http://www.splitted-desktop.com/~gbeauchesne/vdpau-video/
Source:		http://www.splitted-desktop.com/~gbeauchesne/vdpau-video/%{oname}-%{version}.tar.gz
BuildRequires:	libva-devel
BuildRequires:	vdpau-devel
Provides:	%oname

%description
VDPAU driver backend for VA API, a video acceleration API.

%prep
%setup -q -n %oname-%version

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/va/drivers/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS NEWS
%{_libdir}/va/drivers/*_drv_video.so


%changelog
* Mon Jul 19 2010 Anssi Hannula <anssi@mandriva.org> 0.6.10-3mdv2011.0
+ Revision: 555025
- rebuild for new libva

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 0.6.10-2mdv2011.0
+ Revision: 551466
- add provides on  vdpau-video

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 0.6.10-1mdv2011.0
+ Revision: 551392
- initial Mandriva release

